<?php

if (isset($_POST['ok']) && isset($_POST['name'])) {
    $name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
    if (utf8_strlen($name) < 3) {
        $err[] = lang('Слишком короткое название');
    }
    if (utf8_strlen($name) > 32) {
        $err[] = lang('Слишком длинное название');
    }
    $mat = antimat($name);
    if ($mat) {
        $err[] = lang('В названии раздела обнаружен мат') . ': ' . $mat;
    }
    $name = mysql_real_escape_string($name);
    if (isset($_POST['desc']) && $_POST['desc'] != NULL) {
        $desc = esc(stripcslashes(htmlspecialchars($_POST['desc'])));
        if (utf8_strlen($desc) < 3) {
            $err[] = lang('Короткое описание раздела');
        }
        if (utf8_strlen($desc) > 100) {
            $err[] = lang('Слишком длинное описание');
        }
        $mat = antimat($desc);
        if ($mat) {
            $err[] = lang('В описании раздела обнаружен мат') . ': ' . $mat;
        }
        $desc = mysql_real_escape_string($desc);
    } else {
        $desc = NULL;
    }
    if (!isset($err)) {
        mysql_query("INSERT INTO `diary_cat` (`name`, `desc`) values ('$name', '$desc')");

        $_SESSION['message'] = lang('Категория успешно создана');

        header("Location: /modules/diary/");
        exit();
    }
}
if (isset($_GET['edit']) && isset($_POST['name']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `diary_cat` WHERE `id` = '" . intval($_GET['edit']) . "' LIMIT 1"), 0) == 1) {
    $name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
    if (utf8_strlen($name) < 3) {
        $err[] = lang('Слишком короткое название');
    }
    if (utf8_strlen($name) > 32) {
        $err[] = lang('Слишком длинное название');
    }

    $mat = antimat($name);

    if ($mat) {
        $err[] = lang('В названии раздела обнаружен мат') . ': ' . $mat;
    }

    $name = mysql_real_escape_string($name);

    if (isset($_POST['desc']) && $_POST['desc'] != NULL) {
        $desc = esc(stripcslashes(htmlspecialchars($_POST['desc'])));
        if (utf8_strlen($desc) < 3) {
            $err[] = lang('Короткое описание раздела');
        }
        if (utf8_strlen($desc) > 100) {
            $err[] = lang('Слишком длинное описание');
        }
        $mat = antimat($desc);
        if ($mat) {
            $err[] = lang('В описании раздела обнаружен мат') . ': ' . $mat;
        }
        $desc = mysql_real_escape_string($desc);
    } else {
        $desc = NULL;
    }

    if (!isset($err)) {
        mysql_query("UPDATE `diary_cat` SET `name`='$name', `desc`='$desc' WHERE `id`='" . intval($_GET['edit']) . "' LIMIT 1");
        $_SESSION['message'] = lang('Изменения сохранены');

        header("Location: /modules/diary/");
        exit();
    }
}
if (isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `diary_cat` WHERE `id` = '" . intval($_GET['del']) . "' LIMIT 1"), 0) == 1) {
    $q = mysql_query("SELECT * FROM `diary` WHERE `id_cat`='" . intval($_GET['del']) . "'");
    while ($delete = mysql_fetch_assoc($q)) {
        $q2 = mysql_query("SELECT * FROM `diary_images` WHERE `id_diary`='$delete[id]'");
        while ($delet = mysql_fetch_assoc($q)) {
            unlink(H . 'modules/diary/images/48/' . $delet['id'] . '.' . $delet['ras'] . '');
            unlink(H . 'modules/diary/images/128/' . $delet['id'] . '.' . $delet['ras'] . '');
            unlink(H . 'modules/diary/images/640/' . $delet['id'] . '.' . $delet['ras'] . '');
            unlink(H . 'modules/diary/images/' . $delet['id'] . '.' . $delet['ras'] . '');
        }
        mysql_query("DELETE FROM `diary_rating` WHERE `id_diary`='$delete[id]'");
        mysql_query("DELETE FROM `diary_images` WHERE `id_diary`='$delete[id]'");
        mysql_query("DELETE FROM `diary_komm` WHERE `id_diary`='$delete[id]'");
        mysql_query("DELETE FROM `diary` WHERE `id`='$delete[id]'");
    }
    mysql_query("DELETE FROM `diary_cat` WHERE `id`='" . intval($_GET['del']) . "'");

    $_SESSION['message'] = lang('Категория успешно удалена');

    header("Location: /modules/diary/");
    exit();
}
err();
